Cyberduck Mountain Duck CLI

#10386 closed defect (fixed)

Duck CLI can't find a folder when I tell it to download but will list its contents and download individual files when speciefied

Reported by: paulex Owned by:
Priority: normal Milestone:
Component: cli Version: 6.6.2
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Windows 7

Description (last modified by paulex)

I'm trying to download all the files in a directory on a local FTP server, but when I enter:

duck --username <name> --password <pass> --download ftp://192.168.0.2/usr/local/root/http/ ~\test\ -y

It returns: File not found. /usr/local/root/http. Please contact your web hosting service provider for assistance.

If I enter:

duck --username <name> --password <pass> --download ftp://192.168.0.2/usr/local/root/http/template.xml ~\test\ -y

It puts the file in the folder I specified

If I enter:

duck --username <name> --password <pass> --list ftp://192.168.0.2/usr/local/root/http/ -y

it shows me all the files in the directory

Is there something stupidly obvious I'm doing wrong?

Change History (4)

comment:1 Changed on Jul 3, 2018 at 10:04:41 PM by paulex

  • Description modified (diff)

comment:2 follow-up: Changed on Jul 4, 2018 at 7:19:28 AM by dkocher

  • Component changed from ftp to cli
  • Resolution set to worksforme
  • Status changed from new to closed

Please try using a glob pattern.

duck --username <name> --password <pass> --download ftp://192.168.0.2/usr/local/root/http/* ~\test\ -y

comment:3 in reply to: ↑ 2 Changed on Jul 5, 2018 at 8:12:16 PM by paulex

  • Resolution worksforme deleted
  • Status changed from closed to reopened

Replying to dkocher:

Please try using a glob pattern.

duck --username <name> --password <pass> --download ftp://192.168.0.2/usr/local/root/http/* ~\test\ -y

Still no luck. Also already tried *.log (most of the files in the directory are of that type and that fails too.).

PS C:\Windows\system32> duck --username guest --password fguest --download ftp://192.168.0.2/usr/local/root/http/* ~\test\ -y --verbose -e overwrite

http…
Resolving 192.168.0.2…
Opening FTP connection to 192.168.0.2…
FTP connection opened…
Password will be sent in plaintext. Please contact your web hosting service provider for assistance.
Authenticating as guest…
Login successful…
Prepare http (Overwrite)…
Prepare http (Overwrite)…
> STAT /usr/local/root
< 211- status of /usr/local/root:
total 60
lrwxrwxrwx   1 root     root           17 Jul  5 13:14 admin -> flash/http/admin/
-rw-rw----   1 httpadmi httpadmi        7 May 23 22:18 apps_release
-rwxr-xr-x   1 root     root        22088 May 24 00:25 cbgtagfilt
drwxr-xr-x   1 httpadmi httpadmi     2760 May 24 08:56 config
drwxr-xr-x   1 root     root           48 Jun 25 00:00 defadmin
-rw-r--r--   1 root     root         3493 Jul  5 05:35 defindex.html
drwxr-xr-x   1 root     root          148 Jul  5 05:35 defindex_img
-rw-r--r--   1 root     root         1029 Jul  5 00:29 deftemplate.xml
drwxr-xr-x   1 root     root            0 Jan  1  1970 flash
lrwxrwxrwx   1 root     root           10 Jun 29 00:00 http -> flash/http
-rw-r--r--   1 httpadmi httpadmi      364 Jan  1  1970 index.html
-rwxr-xr-x   1 root     root        26776 Jan  1  1970 pcotagfilt
lrwxrwxrwx   1 root     root           14 Jan  1  1970 usr-cgi -> flash/usr-cgi/
211 End of Status
> CWD /usr/local/root/admin
< 250 CWD command successful.
> CWD /usr/local/root/http
< 250 CWD command successful.
> CWD /usr/local/root/usr-cgi
< 250 CWD command successful.
Transfer incomplete…
File not found. /usr/local/root/http. Please contact your web hosting service provider for assistance.

> QUIT
< 221 Goodbye.

comment:4 Changed on Jul 5, 2018 at 8:17:58 PM by paulex

  • Resolution set to fixed
  • Status changed from reopened to closed

Fixed it. For some reason the address required to download is /usr/local/root/flash/http/ even though duck can list the files at /usr/local/root/http/

No idea what's going on, but at least it works.

Note: See TracTickets for help on using tickets.
swiss made software